package gf.core.main.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;

@TableName("weather_data")
public class WeatherDataEnt implements java.io.Serializable{
	//字段
	@TableId(type = IdType.AUTO)
	private int id;//主键
	@TableField
	private String oilFieldName;//油田名称
	@TableField
	private String wellSiteName;//井场
	@TableField
	private String lineName;//线路名称
	@TableField
	private BigDecimal lon;//经度
	@TableField
	private BigDecimal lat;//纬度
	@TableField
	private BigDecimal cap;//装机容量
	@TableField
	private BigDecimal tilt;//阵列倾角
	@TableField
	private BigDecimal azimuth;//阵列朝向
	@TableField
	private Date utc;//世界时间
	@TableField
	private Date cst;//北京时间
	@TableField
	private BigDecimal seaPressure;//海平面气压
	@TableField
	private BigDecimal surfacePressure;//地面气压
	@TableField
	private BigDecimal temperature;//气温2m
	@TableField
	private BigDecimal precipitation;//降水量(mm)
	@TableField
	private BigDecimal snowFall;//降雪量
	@TableField
	private BigDecimal snowDepth;//积雪深度
	@TableField
	private BigDecimal snowDensity;//积雪密度
	@TableField
	private BigDecimal snowLayerTemperature;//雪层温度
	@TableField
	private BigDecimal surfaceTemperature;//地表温度
	@TableField
	private BigDecimal dewPointTemperature;//露点温度
	@TableField
	private BigDecimal relativeHumidity;//相对湿度
	@TableField
	private BigDecimal evaporationCapacity;//蒸发量
	@TableField
	private BigDecimal potentialEvaporation;//潜在蒸发量
	@TableField
	private BigDecimal lonWindSpeed;//经向风速
	@TableField
	private BigDecimal latWindSpeed;//纬向风速
	@TableField
	private BigDecimal maximumGust;//最大阵风(上一小时内，m/s)
	@TableField
	private BigDecimal cbh;//云底高度
	@TableField
	private BigDecimal lcc;//低层云量
	@TableField
	private BigDecimal mcc;//中层云量
	@TableField
	private BigDecimal hcc;//高层云量
	@TableField
	private BigDecimal tcc;//总云量
	@TableField
	private BigDecimal totalSolarIrradiance;//总太阳辐射度(down,J/m2)
	@TableField
	private BigDecimal netSolarIrradiance;//净太阳辐射度(net,J/m2)
	@TableField
	private BigDecimal directRadiation;//直接辐射(J/m2)
	@TableField
	private BigDecimal uvIntensity;//紫外强度(J/m2)
	@TableField
	private BigDecimal runoff;//径流(mm)
	@TableField
	private BigDecimal surfaceRunoff;//地表径流(mm)
	@TableField
	private BigDecimal undergroundRunoff;//地下径流(mm)
	@TableField
	private BigDecimal thunderstormProbability;//雷暴概率(TT，K)
	@TableField
	private BigDecimal kIndex;//K指数(K)
	@TableField
	private BigDecimal convectiveAvailablePotentialEnergy;//对流可用位能(J/kg)
	@TableField
	private BigDecimal photovoltaicPowerGeneration;//光伏发电功率Kw
	@TableField
	private BigDecimal totalSolarRadiation;//太阳总辐射Kwh/m2

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getOilFieldName() {
		return oilFieldName;
	}

	public void setOilFieldName(String oilFieldName) {
		this.oilFieldName = oilFieldName;
	}

	public String getWellSiteName() {
		return wellSiteName;
	}

	public void setWellSiteName(String wellSiteName) {
		this.wellSiteName = wellSiteName;
	}

	public String getLineName() {
		return lineName;
	}

	public void setLineName(String lineName) {
		this.lineName = lineName;
	}

	public BigDecimal getLon() {
		return lon;
	}

	public void setLon(BigDecimal lon) {
		this.lon = lon;
	}

	public BigDecimal getLat() {
		return lat;
	}

	public void setLat(BigDecimal lat) {
		this.lat = lat;
	}

	public BigDecimal getCap() {
		return cap;
	}

	public void setCap(BigDecimal cap) {
		this.cap = cap;
	}

	public BigDecimal getTilt() {
		return tilt;
	}

	public void setTilt(BigDecimal tilt) {
		this.tilt = tilt;
	}

	public BigDecimal getAzimuth() {
		return azimuth;
	}

	public void setAzimuth(BigDecimal azimuth) {
		this.azimuth = azimuth;
	}

	public Date getUtc() {
		return utc;
	}

	public void setUtc(Date utc) {
		this.utc = utc;
	}

	public Date getCst() {
		return cst;
	}

	public void setCst(Date cst) {
		this.cst = cst;
	}

	public BigDecimal getSeaPressure() {
		return seaPressure;
	}

	public void setSeaPressure(BigDecimal seaPressure) {
		this.seaPressure = seaPressure;
	}

	public BigDecimal getSurfacePressure() {
		return surfacePressure;
	}

	public void setSurfacePressure(BigDecimal surfacePressure) {
		this.surfacePressure = surfacePressure;
	}

	public BigDecimal getTemperature() {
		return temperature;
	}

	public void setTemperature(BigDecimal temperature) {
		this.temperature = temperature;
	}

	public BigDecimal getPrecipitation() {
		return precipitation;
	}

	public void setPrecipitation(BigDecimal precipitation) {
		this.precipitation = precipitation;
	}

	public BigDecimal getSnowFall() {
		return snowFall;
	}

	public void setSnowFall(BigDecimal snowFall) {
		this.snowFall = snowFall;
	}

	public BigDecimal getSnowDepth() {
		return snowDepth;
	}

	public void setSnowDepth(BigDecimal snowDepth) {
		this.snowDepth = snowDepth;
	}

	public BigDecimal getSnowDensity() {
		return snowDensity;
	}

	public void setSnowDensity(BigDecimal snowDensity) {
		this.snowDensity = snowDensity;
	}

	public BigDecimal getSnowLayerTemperature() {
		return snowLayerTemperature;
	}

	public void setSnowLayerTemperature(BigDecimal snowLayerTemperature) {
		this.snowLayerTemperature = snowLayerTemperature;
	}

	public BigDecimal getSurfaceTemperature() {
		return surfaceTemperature;
	}

	public void setSurfaceTemperature(BigDecimal surfaceTemperature) {
		this.surfaceTemperature = surfaceTemperature;
	}

	public BigDecimal getDewPointTemperature() {
		return dewPointTemperature;
	}

	public void setDewPointTemperature(BigDecimal dewPointTemperature) {
		this.dewPointTemperature = dewPointTemperature;
	}

	public BigDecimal getRelativeHumidity() {
		return relativeHumidity;
	}

	public void setRelativeHumidity(BigDecimal relativeHumidity) {
		this.relativeHumidity = relativeHumidity;
	}

	public BigDecimal getEvaporationCapacity() {
		return evaporationCapacity;
	}

	public void setEvaporationCapacity(BigDecimal evaporationCapacity) {
		this.evaporationCapacity = evaporationCapacity;
	}

	public BigDecimal getPotentialEvaporation() {
		return potentialEvaporation;
	}

	public void setPotentialEvaporation(BigDecimal potentialEvaporation) {
		this.potentialEvaporation = potentialEvaporation;
	}

	public BigDecimal getLonWindSpeed() {
		return lonWindSpeed;
	}

	public void setLonWindSpeed(BigDecimal lonWindSpeed) {
		this.lonWindSpeed = lonWindSpeed;
	}

	public BigDecimal getLatWindSpeed() {
		return latWindSpeed;
	}

	public void setLatWindSpeed(BigDecimal latWindSpeed) {
		this.latWindSpeed = latWindSpeed;
	}

	public BigDecimal getMaximumGust() {
		return maximumGust;
	}

	public void setMaximumGust(BigDecimal maximumGust) {
		this.maximumGust = maximumGust;
	}

	public BigDecimal getCbh() {
		return cbh;
	}

	public void setCbh(BigDecimal cbh) {
		this.cbh = cbh;
	}

	public BigDecimal getLcc() {
		return lcc;
	}

	public void setLcc(BigDecimal lcc) {
		this.lcc = lcc;
	}

	public BigDecimal getMcc() {
		return mcc;
	}

	public void setMcc(BigDecimal mcc) {
		this.mcc = mcc;
	}

	public BigDecimal getHcc() {
		return hcc;
	}

	public void setHcc(BigDecimal hcc) {
		this.hcc = hcc;
	}

	public BigDecimal getTcc() {
		return tcc;
	}

	public void setTcc(BigDecimal tcc) {
		this.tcc = tcc;
	}

	public BigDecimal getTotalSolarIrradiance() {
		return totalSolarIrradiance;
	}

	public void setTotalSolarIrradiance(BigDecimal totalSolarIrradiance) {
		this.totalSolarIrradiance = totalSolarIrradiance;
	}

	public BigDecimal getNetSolarIrradiance() {
		return netSolarIrradiance;
	}

	public void setNetSolarIrradiance(BigDecimal netSolarIrradiance) {
		this.netSolarIrradiance = netSolarIrradiance;
	}

	public BigDecimal getDirectRadiation() {
		return directRadiation;
	}

	public void setDirectRadiation(BigDecimal directRadiation) {
		this.directRadiation = directRadiation;
	}

	public BigDecimal getUvIntensity() {
		return uvIntensity;
	}

	public void setUvIntensity(BigDecimal uvIntensity) {
		this.uvIntensity = uvIntensity;
	}

	public BigDecimal getRunoff() {
		return runoff;
	}

	public void setRunoff(BigDecimal runoff) {
		this.runoff = runoff;
	}

	public BigDecimal getSurfaceRunoff() {
		return surfaceRunoff;
	}

	public void setSurfaceRunoff(BigDecimal surfaceRunoff) {
		this.surfaceRunoff = surfaceRunoff;
	}

	public BigDecimal getUndergroundRunoff() {
		return undergroundRunoff;
	}

	public void setUndergroundRunoff(BigDecimal undergroundRunoff) {
		this.undergroundRunoff = undergroundRunoff;
	}

	public BigDecimal getThunderstormProbability() {
		return thunderstormProbability;
	}

	public void setThunderstormProbability(BigDecimal thunderstormProbability) {
		this.thunderstormProbability = thunderstormProbability;
	}

	public BigDecimal getkIndex() {
		return kIndex;
	}

	public void setkIndex(BigDecimal kIndex) {
		this.kIndex = kIndex;
	}

	public BigDecimal getConvectiveAvailablePotentialEnergy() {
		return convectiveAvailablePotentialEnergy;
	}

	public void setConvectiveAvailablePotentialEnergy(BigDecimal convectiveAvailablePotentialEnergy) {
		this.convectiveAvailablePotentialEnergy = convectiveAvailablePotentialEnergy;
	}

	public BigDecimal getPhotovoltaicPowerGeneration() {
		return photovoltaicPowerGeneration;
	}

	public void setPhotovoltaicPowerGeneration(BigDecimal photovoltaicPowerGeneration) {
		this.photovoltaicPowerGeneration = photovoltaicPowerGeneration;
	}

	public BigDecimal getTotalSolarRadiation() {
		return totalSolarRadiation;
	}

	public void setTotalSolarRadiation(BigDecimal totalSolarRadiation) {
		this.totalSolarRadiation = totalSolarRadiation;
	}
}
