package gf.core.main.enums;

import cnpc.core.common.enums.DictEnum;
import com.baomidou.mybatisplus.annotation.EnumValue;

public enum TaskPlanStateEnum implements DictEnum {

    Wait(0,"未开始"),
    Doing(1,"进行中"),
    Success(2,"成功"),
    Failure(3,"失败"),
    ;

    @EnumValue
    private Integer value;
    private String desc;

    TaskPlanStateEnum(Integer value, String desc){
        this.desc =desc;
        this.value = value;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public static TaskPlanStateEnum findByValue(Integer value){
        for(TaskPlanStateEnum item : values()){
            if(item.getValue().equals(value)){
                return item;
            }
        }
        return null;
    }
}
