package gf.core.main.enums;

import cnpc.core.common.enums.DictEnum;
import com.baomidou.mybatisplus.annotation.EnumValue;

public enum TaskStateEnum implements DictEnum {

    Delete(0,"已删除"),
    Enable(1,"启用"),
    Disable(2,"禁用"),
    ;

    @EnumValue
    private Integer value;
    private String desc;

    TaskStateEnum(Integer value, String desc){
        this.desc =desc;
        this.value = value;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public static TaskStateEnum findByValue(Integer value){
        for(TaskStateEnum item : values()){
            if(item.getValue().equals(value)){
                return item;
            }
        }
        return null;
    }
}
